<html>
    <head>
        <style type="text/css">            
            .border_atas {
                border-top: 1px solid black;
                border-collapse: collapse;
            }

            .border_kiri {
                border-left: 1px solid black;
                border-collapse: collapse;
            }

            .border_kanan {
                border-right: 1px solid black;
                border-collapse: collapse;
            }

            .border_bawah {
                border-bottom: 1px solid black;
                border-collapse: collapse;
            }

            .font_lima {
                font-size: 5pt;
            }

            .font_tujuh {
                font-size: 7pt;
            }  

            .font_delapan {
                font-size: 8pt;
            }    

            .font_sembilan {
                font-size: 9pt;
            }    

            .font_sepuluh {
                font-size: 10pt;
            }

            .font_duabelas {
                font-size: 12pt;
            }

            table{font-family: Arial;}
        </style>
    </head>
    <body>
        <?php
        ini_set("max_execution_time", 500);
        if (!function_exists('kekata')) {

            function kekata($x) {
                $x = abs($x);
                $angka = array("", "Satu", "Dua", "Tiga", "Empat", "Lima",
                    "Enam", "Tujuh", "Delapan", "Sembilan", "Sepuluh", "Sebelas");
                $temp = "";
                if ($x < 12) {
                    $temp = " " . $angka[$x];
                } else if ($x < 20) {
                    $temp = kekata($x - 10) . " Belas";
                } else if ($x < 100) {
                    $temp = kekata($x / 10) . " Puluh" . kekata($x % 10);
                } else if ($x < 200) {
                    $temp = " Seratus" . kekata($x - 100);
                } else if ($x < 1000) {
                    $temp = kekata($x / 100) . " Ratus" . kekata($x % 100);
                } else if ($x < 2000) {
                    $temp = " Seribu" . kekata($x - 1000);
                } else if ($x < 1000000) {
                    $temp = kekata($x / 1000) . " Ribu" . kekata($x % 1000);
                } else if ($x < 1000000000) {
                    $temp = kekata($x / 1000000) . " Juta" . kekata($x % 1000000);
                } else if ($x < 1000000000000) {
                    $temp = kekata($x / 1000000000) . " Milyar" . kekata(fmod($x, 1000000000));
                } else if ($x < 1000000000000000) {
                    $temp = kekata($x / 1000000000000) . " Trilyun" . kekata(fmod($x, 1000000000000));
                }
                return $temp;
            }

        }

        function terbilang($x, $style = 4) {
            if ($x < 0) {
                $hasil = "MINUS " . trim(kekata($x));
            } else {
                $hasil = trim(kekata($x));
            }
            switch ($style) {
                case 1:
                    $hasil = strtoupper($hasil);
                    break;
                case 2:
                    $hasil = strtolower($hasil);
                    break;
                case 3:
                    $hasil = ucwords($hasil);
                    break;
                default:
                    $hasil = ucfirst($hasil);
                    break;
            }
            return $hasil;
        }

        $jatuhtempo = $data['t_tgljatuhtempo'];
        $tglsekarang = date('Y-m-d');

        $ts1 = strtotime($jatuhtempo);
        $ts2 = strtotime($tglsekarang);

        $year1 = date('Y', $ts1);
        $year2 = date('Y', $ts2);

        $month1 = date('m', $ts1);
        $month2 = date('m', $ts2);

        $day1 = date('d', $ts1);
        $day2 = date('d', $ts2);
        if ($day1 < $day2) {
            $tambahanbulan = 1;
        } else {
            $tambahanbulan = 0;
        }

        $jmlbulan = (($year2 - $year1) * 12) + ($month2 - $month1 + $tambahanbulan);
        if ($jmlbulan > $data['s_maxbulandenda']) {
            $jmlbulan = $data['s_maxbulandenda'];
            $jmldenda = round($jmlbulan * 2 / 100 * $data['t_jmlhpajak']);
        } elseif ($jmlbulan <= 0) {
            $jmlbulan = 0;
            $jmldenda = round($jmlbulan * 2 / 100 * $data['t_jmlhpajak']);
        } else {
            $jmldenda = round($jmlbulan * 2 / 100 * $data['t_jmlhpajak']);
        }

        $abulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
        $t_tglpendataan = date('d', strtotime($data['t_tglpendataan'])) . " " . $abulan[date('m', strtotime($data['t_tglpendataan']))] . " " . date('Y', strtotime($data['t_tglpendataan']));
        $t_tglpenetapan = date('d', strtotime($data['t_tglpenetapan'])) . " " . $abulan[date('m', strtotime($data['t_tglpenetapan']))] . " " . date('Y', strtotime($data['t_tglpenetapan']));
        ?>
        <table class="border_atas border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
            <tr>
                <td style="width: 7%">
                    <img src="<?= $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/" . $ar_pemda->s_logo; ?>" style="width:60px;"  />
                </td>
                <td style="width: 30%">
                    <b style="font-size:14px;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota) ?></b>
                    <br>
                    <b style="font-size:16px;"><?= strtoupper($ar_pemda->s_namainstansi) ?></b>
                    <br>
                    <?= $ar_pemda->s_alamatinstansi ?> <?= $ar_pemda->s_namaibukotakabkota ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>
                </td>
                <td class="border_kiri" style="width: 40%;text-align: center;">
                    <b style="font-size: 22px;">NPPD</b> <br>
                    <span style="font-size:18px;">(NOTA PERHITUNGAN PAJAK DAERAH)</span>
                    <br>
                    Masa Pajak &nbsp;&nbsp;&nbsp;&nbsp;: <?= date('d-m-Y', strtotime($data['t_masaawal'])); ?> S/D <?= date('d-m-Y', strtotime($data['t_masaakhir'])); ?>
                    <br>
                    Tahun Pajak &nbsp;&nbsp;&nbsp;: <?= $data['t_periodepajak']; ?>
                </td>
                <td class="border_kiri" style="width: 15%;padding-left: 10px;">
                    Nomor Nota Perhitungan<br>
                    No. SPT yang dikirim
                </td>
                <td style="width: 7%;">
                    : <?= $data['t_nourut'] ?><br>
                    : <?= $data['t_nourut'] ?>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
            <tr>
                <td style="padding:0; border-spacing:0px; padding-top: 10px; padding-left: 10px">
                    NPWPD
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px; padding-top: 10px">
                    : <?= $data['t_npwpd'] ?>
                </td>
            </tr>
            <tr>
                <td style="width: 20%; padding:0; border-spacing:0px; padding-left: 10px">
                    Nama
                </td>
                <td style="padding:0;border-spacing:0px;">
                    : <?= $data['t_nama'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px">
                    Alamat
                </td>
                <td style="padding:0;border-spacing:0px;">
                    : <?= $data['t_alamat_lengkap'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px">
                    NIOP
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_nop'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px">
                    Nama Objek
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_namaobjek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px">
                    Alamat Objek
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_alamatlengkapobjek'] ?>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
            <tr>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px; border-spacing:0px;width: 5%;" rowspan="2">
                    No.
                </td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;width: 10%;" rowspan="2">
                    Jenis Pajak
                </td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;width: 10%;" rowspan="2">
                    Kode Rekening
                </td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;width: 25%;">
                    DASAR PENGENAAN
                </td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;width: 5%;" rowspan="2">
                    T A R I F
                </td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;width: 10%;" rowspan="2">
                    KETETAPAN (Rp.)
                </td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;width: 5%;" colspan="3">
                    Sanksi Administrasi
                </td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;width: 10%;" rowspan="2">
                    J U M L A H (Rp.)
                </td>
            </tr>
            <tr>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">
                    URAIAN
                </td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">
                    Kenaikan
                </td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">
                    Denda
                </td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">
                    Bunga
                </td>
            </tr>
            <tr>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">1</td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">2</td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">3</td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">4</td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">5</td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">6</td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">7</td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">8</td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">9</td>
                <td class="border_kanan border_bawah" style="text-align: center;padding:2px;border-spacing:0px;">10(6+7+8+9)</td>
            </tr>
            <tr>
                <td class="border_kanan" style="padding:10px;border-spacing:0px;text-align: center;vertical-align: top;">
                    1.
                </td>
                <td class="border_kanan" style="padding:10px;border-spacing:0px;vertical-align: top;">
                    <strong><?= strtoupper($data['s_namajenis']) ?></strong><br>
                    <?= $data['s_namakorek'] ?>
                </td>
                <td class="border_kanan" style="padding:10px;border-spacing:0px;text-align: center;vertical-align: top;">
                    <?= $data['korek'] ?>
                </td>
                <td class="border_kanan" style="padding:10px;border-spacing:0px;vertical-align: top;">

                    <?php
                    if ($data['t_jenispajak'] == 4) {
                        $luas = number_format(round($data['t_panjang'] * $data['t_lebar']), 2, ',', '.');
                        ?>
                        Jenis Reklame : <?= $data['s_namakorek'] ?><br>
                        Naskah : <?= $data['t_naskah'] ?><br>
                        Luas : <?= number_format($data['t_panjang'], 2, ',', '.') . ' m x ' . number_format($data['t_lebar'], 2, ',', '.') . ' m = ' . $luas . ' m<sup>2</sup>' ?><br>
                        Lokasi : <?= strtoupper($data['t_lokasi']) ?><br>
                        <?= $data['t_nsl'] . ' x ' . $luas . ' x ' . $data['t_jangkawaktu'] . ' x Rp. ' . number_format($data['t_hargasatuan'], 0, ',', '.') . ' = Rp. ' . number_format($data['t_nsr'], 0, ',', '.') ?><br>
                        <?= 'Rp. ' . number_format($data['t_nsr'], 0, ',', '.') . ' x ' . $data['t_tarifreklame'] . '%' ?><br>
                        <?= 'Rp. ' . number_format($data['t_jmlhpajak'], 0, ',', '.') ?><br>

                        <?php
                    } elseif ($data['t_jenispajak'] == 8) {
                        $sumurbor = array(1 => 'Sumur Bor', 2 => 'Sumur Pantek');
                        ?>
                        Zona : <?= $data['s_kodezona'] . ' (' . $data['s_namazona'] . ')' ?><br>
                        Kelompok : <?= $data['s_kodekelompok'] . ' (' . $data['s_namakelompok'] . ')' ?><br>
                        Jenis : : <?= $data['s_kodejenis'] . ' (' . $data['s_namakodejenis'] . ')' ?><br>
                        Jenis Sumur : <?= $sumurbor[$data['t_jenissumur']] . ' &nbsp; &nbsp; &nbsp; &nbsp; Ke-' . $data['t_sumurke'] . '' ?><br>
                        Lokasi Sumur : <?= $data['t_lokasisumur'] ?><br>
                        Volume : <?= number_format($data['t_volume'], 2, ',', '.') ?> m<sup>3</sup><br>
                    <?php } ?>
                </td>
                <td class="border_kanan" style="padding:10px;border-spacing:0px;text-align: center;vertical-align: top;">
                    <?php
                    $t_jumlahpajak = $data['t_jmlhpajak'];
                    $t_jmlhkenaikan = $data['t_jmlhkenaikan'];
                    $t_jumlahdenda = ($data['t_tglpembayaran']) ? $data['t_jmlhbayardenda'] : $jmldenda;
                    $t_totalpajak = $data['t_jmlhpajak'] + $t_jumlahdenda;
                    ?>
                    <?= $data['t_tarifpajak'] ?>%
                </td>
                <td class="border_kanan" style="padding:10px;border-spacing:0px;text-align: right;vertical-align: top;">
                    <?= number_format($t_jumlahpajak, 2, ',', '.') ?>
                </td>
                <td class="border_kanan" style="padding:10px;border-spacing:0px;text-align: right;vertical-align: top;">
                    <?= number_format($t_jmlhkenaikan, 2, ',', '.') ?>
                </td>
                <td class="border_kanan" style="padding:10px;border-spacing:0px;text-align: right;vertical-align: top;">
                    0
                </td>
                <td class="border_kanan" style="padding:10px;border-spacing:0px;text-align: right;vertical-align: top;">
                    <?= number_format($t_jumlahdenda, 2, ',', '.') ?>
                </td>
                <td class="border_kanan" style="padding:10px;border-spacing:0px;text-align: right;vertical-align: top;">
                    <?= number_format($t_totalpajak, 2, ',', '.') ?>
                </td>
            </tr>
            <tr>
                <td class="border_kanan border_atas" style="padding:10px;border-spacing:0px; text-align: right" colspan="5">
                    <strong>J U M L A H</strong>
                </td>
                <td class="border_kanan border_atas" style="padding:10px;border-spacing:0px; text-align: right">
                    <strong><?= number_format($t_jumlahpajak, 2, ',', '.') ?></strong>
                </td>
                <td class="border_kanan border_atas" style="padding:10px;border-spacing:0px; text-align: right">
                    <strong><?= number_format($t_jmlhkenaikan, 2, ',', '.') ?></strong>
                </td>
                <td class="border_kanan border_atas" style="padding:10px;border-spacing:0px; text-align: right">
                    <strong><?= number_format(0, 2, ',', '.') ?></strong>
                </td>
                <td class="border_kanan border_atas" style="padding:10px;border-spacing:0px; text-align: right">
                    <strong><?= number_format($t_jumlahdenda, 2, ',', '.') ?></strong>
                </td>
                <td class="border_kanan border_atas" style="padding:10px;border-spacing:0px; text-align: right">
                    <strong><?= number_format($t_totalpajak, 2, ',', '.') ?></strong>
                </td>
            </tr>
            <tr>
                <td class="border_kanan border_atas" colspan="10"></td>
            </tr>
            <tr>
                <td colspan="10" style="text-align: right;padding: 5px 10px 5px 5px;">Jumlah dengan huruf : # <?= terbilang($t_totalpajak)?> Rupiah #</td>
            </tr>
            <tr>
                <td colspan="3" style=""></td>
                <td colspan="4" style="text-align:center;">
                    <?= $ar_pemda->s_namaibukotakabkota ?>, <?= $t_tglpenetapan ?><br>
                    <?= ucwords(strtolower($ar_ttd->s_jabatanpej)) ?>
                    <br>
                    <br>
                    <br>
                    <br>
                    <br>
                    <br>
                    <?= (!empty($ar_ttd->s_namapej)) ? '<u><b>' . $ar_ttd->s_namapej . '</b></u>' : '............................................' ?><br>
                    <?= (!empty($ar_ttd->s_nippej)) ? 'NIP. ' . $ar_ttd->s_nippej : 'NIP. ............................................' ?>
                </td>
                <td colspan="3" style=""></td>
            </tr>
        </table>
        <table style="width: 100%;font-family: arial;font-size:7pt;margin-bottom: 10px;">
            <tr><td>MODEL : DPD-08</td><td style="text-align:right;">FM-NT-01/Rev.01</td></tr>
        </table>
    </body>
</html>